[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Deactivate

Performs actions when the form loses focus.

## Declaration

Source position: forms.pp line 639

`protected procedure TCustomForm.Deactivate; virtual;`

## Description

Called when the form loses focus in the application. It signals the OnDeactivate event handler (when assigned). Called from the CMDeactivate and WndProc methods.

## See also

TCustomForm.OnDeactivate |  | Handler signalled when the form is deactivated (loses focus).
TCustomForm.Activate |  | Signals the OnActivate event handler when a form is focused in an application.
TCustomForm.OnActivate |  | Handler signalled when the form instance receives focus.
TCustomForm.CMDeactivate |  | Handles the CM_DEACTIVATE control message for the form.
TCustomForm.WndProc |  | The general message handler for this control.